Days
Hours
Minutes
Seconds

Celebrating 200K Active users!
20% off on Everything for a very limited time!!!

Get this offer!

Compatibilty Program

We are taking an important initative to make 3rd party plugins & themes to be perfectly compatible with AMP.

1 vote

democracy-poll

Democracy Poll

We need to make compatibility with this plugin, and this compatibility integration will be added in the new extension polls addon.

Suggest New Compatibility